## org.eclipse.jst.pagedesigner.dtmanager.converter
Interface ITagConverterContext

All Known Implementing Classes:
  AbstractTagConverterContext

    public interface ITagConverterContext

Represents ITagConverter-specific context and functionality.

Provisional API - subject to change

Method Summary
`void` `addChild(org.w3c.dom.Node childNode, ConvertPosition position)` Adds a child Node instance to ITagConverter's collection of Nodes requiring subsequent processing.
`void` `copyChildren(org.w3c.dom.Element srcElement, org.w3c.dom.Element destElement)` Add all child Element instances of srcElement to ITagConverter's collection of Nodes requiring subsequent processing.
`org.w3c.dom.Element` `createElement(java.lang.String tag)` Creates an Element instance to be used in ITagConverter's Document instance.
`org.w3c.dom.Text` `createText(java.lang.String content)` Creates a Text node instance to be used in ITagConverter's Document instance.
`org.w3c.dom.Element` `getHostElement()` Gets ITagConverter instance's host Element instance.

Method Detail

### getHostElement

    org.w3c.dom.Element getHostElement()

  Gets ITagConverter instance's host Element instance.

  Returns:
    ITagConverter instance's host Element instance.

### createElement

    org.w3c.dom.Element createElement(java.lang.String tag)

  Creates an Element instance to be used in ITagConverter's Document instance.

  Parameters:
    `tag` - Name of element to be created.
  Returns:
    Element instance to be used in ITagConverter's Document instance.

### createText

    org.w3c.dom.Text createText(java.lang.String content)

  Creates a Text node instance to be used in ITagConverter's Document instance.

  Parameters:
    `content` - Textual content of the created text node.
  Returns:
    Text node instance to be used in ITagConverter's Document instance.

### addChild

    void addChild(org.w3c.dom.Node childNode,
                  ConvertPosition position)

  Adds a child Node instance to ITagConverter's collection of Nodes requiring subsequent processing.

  Parameters:
    `childNode` - Child Node instance requiring subsequent processing.
    `position` - ConvertPosition instance describing child Node instance's position, relative to another Node instance.

### copyChildren

    void copyChildren(org.w3c.dom.Element srcElement,
                      org.w3c.dom.Element destElement)

  Add all child Element instances of srcElement to ITagConverter's collection of Nodes requiring subsequent processing.

  Parameters:
    `srcElement` - Source Element instance from which child Elements are copied.
    `destElement` - Destination Element instance to which child Elements will be relative.